picard.sam.markduplicates.util

## Class ReadEndsForMarkDuplicatesWithBarcodes

- java.lang.Object
- - picard.sam.util.PhysicalLocationInt
  - - picard.sam.util.PhysicalLocationShort
    - - picard.sam.markduplicates.util.ReadEnds
      - - picard.sam.markduplicates.util.ReadEndsForMarkDuplicates
        - - picard.sam.markduplicates.util.ReadEndsForMarkDuplicatesWithBarcodes

- All Implemented Interfaces:
    Cloneable, PhysicalLocation

      public class ReadEndsForMarkDuplicatesWithBarcodes
      extends ReadEndsForMarkDuplicates

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `barcode`
    `int` | `readOneBarcode`
    `int` | `readTwoBarcode`

    - ### Fields inherited from class picard.sam.markduplicates.util.ReadEndsForMarkDuplicates

      `read1IndexInFile, read2IndexInFile, score, SIZE_OF`

    - ### Fields inherited from class picard.sam.markduplicates.util.ReadEnds

      `F, FF, FR, isOpticalDuplicate, libraryId, orientation, orientationForOpticalDuplicates, R, read1Coordinate, read1ReferenceIndex, read2Coordinate, read2ReferenceIndex, readGroup, RF, RR`

    - ### Fields inherited from class picard.sam.util.PhysicalLocationInt

      `tile, x, y`

    - ### Fields inherited from interface picard.sam.util.PhysicalLocation

      `NO_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadEndsForMarkDuplicatesWithBarcodes()`
    `ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicates read)`
    `ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicatesWithBarcodes read)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadEndsForMarkDuplicatesWithBarcodes` | `clone()`
    `static int` | `getSizeOf()`

    - ### Methods inherited from class picard.sam.markduplicates.util.ReadEnds

      `getLibraryId, getOrientationByte, getReadGroup, isPaired, setLibraryId, setReadGroup`

    - ### Methods inherited from class picard.sam.util.PhysicalLocationShort

      `setX, setY`

    - ### Methods inherited from class picard.sam.util.PhysicalLocationInt

      `getTile, getX, getY, setTile`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface picard.sam.util.PhysicalLocation

      `hasLocation`

- - ### Field Detail

    - #### barcode

          public int barcode

    - #### readOneBarcode

          public int readOneBarcode

    - #### readTwoBarcode

          public int readTwoBarcode

  - ### Constructor Detail

    - #### ReadEndsForMarkDuplicatesWithBarcodes

          public ReadEndsForMarkDuplicatesWithBarcodes()

    - #### ReadEndsForMarkDuplicatesWithBarcodes

          public ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicates read)

    - #### ReadEndsForMarkDuplicatesWithBarcodes

          public ReadEndsForMarkDuplicatesWithBarcodes(ReadEndsForMarkDuplicatesWithBarcodes read)

  - ### Method Detail

    - #### clone

          public ReadEndsForMarkDuplicatesWithBarcodes clone()

      Overrides:
        `clone` in class `ReadEndsForMarkDuplicates`

    - #### getSizeOf

          public static int getSizeOf()